Subject: Re: [NEW ISSUE] HTTP status code registry, was: Status 102

From: Mark Nottingham <[email-masked]>
Date: Tue, 24 Apr 2007 17:28:55 +1000

Now issue 59;
   http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i59

On 18/02/2007, at 11:07 AM, Henrik Nordstrom wrote:

> lör 2007-02-17 klockan 19:23 +0100 skrev Julian Reschke:
>
>> I wasn't aware of the registry, nor were many other people I  
>> asked. It's
>> very well hidden in RFC2817 ("Upgrading to TLS Within HTTP/1.1").
>>
>> So how about moving it into a separate spec for easier  
>> maintenance, and
>> better visibility?
>
> Or better yet add the IANA http status code registry reference to
> RFC2616bis declaring that IANA is responsible for maintaining the  
> status
> code registry?
>
> Having "registry" type RFCs never works out well as these needs to be
> updated before the next draft needing a new status code is published.
> This job is much better done by IANA.
>
> 6.1.1 Status Code and Reason Phrase
>
> just after the status code class definitions add something like the
> following.
>
>    The Internet Assigned Numbers Authority (IANA) acts as a registry
>    for HTTP status codes and suggested reason phrases. The values
>    defined here is only the initial set defined for HTTP/1.1.
>
> Regards
> Henrik

--
Mark Nottingham     http://www.mnot.net/